{"openapi":"3.0.4","info":{"title":"Batch upsert dates to a calendar","description":"Create or update events in the calendar. These Events can be a maximum of 24 hours and must be specified in UTC.\r\nA local date will be calculated by the system and applied to the calendar before processing.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/calendars/generic/{scope}/{code}/dates/$batchUpsert":{"post":{"tags":["Calendars"],"summary":"Batch upsert dates to a calendar","description":"Create or update events in the calendar. These Events can be a maximum of 24 hours and must be specified in UTC.\r\nA local date will be calculated by the system and applied to the calendar before processing.","operationId":"BatchUpsertDatesForCalendar","parameters":[{"name":"scope","in":"path","description":"Scope of the calendar","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"Code of the calendar","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}},{"name":"successMode","in":"query","description":"Whether the batch request should fail Atomically or in a Partial fashion - Allowed Values: Atomic, Partial.","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string","default":"Partial"}}],"requestBody":{"description":"Create Date Requests of dates to upsert","content":{"application/json-patch+json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreateDateRequest"}},"example":{"ChineseNewYear":{"dateId":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","timeZone":"CET","description":"Chinese New Year","type":"Holiday","sourceData":{}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreateDateRequest"}},"example":{"ChineseNewYear":{"dateId":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","timeZone":"CET","description":"Chinese New Year","type":"Holiday","sourceData":{}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreateDateRequest"}},"example":{"ChineseNewYear":{"dateId":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","timeZone":"CET","description":"Chinese New Year","type":"Holiday","sourceData":{}}}},"application/*+json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreateDateRequest"}},"example":{"ChineseNewYear":{"dateId":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","timeZone":"CET","description":"Chinese New Year","type":"Holiday","sourceData":{}}}}},"required":true},"responses":{"200":{"description":"The successfully upserted date requests along with any failures","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BatchUpsertDatesForCalendarResponse"},"example":{"values":{"ChineseNewYear":{"href":"https://myco.lusid.com/api/api/calendar/dates","dateIdentifier":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","localDate":"2020-01-25","timezone":"CET","description":"Chinese New Year","type":"Holiday","sourceData":{}}},"failed":{},"metadata":{}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BatchUpsertDatesForCalendarResponse"},"example":{"values":{"ChineseNewYear":{"href":"https://myco.lusid.com/api/api/calendar/dates","dateIdentifier":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","localDate":"2020-01-25","timezone":"CET","description":"Chinese New Year","type":"Holiday","sourceData":{}}},"failed":{},"metadata":{}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BatchUpsertDatesForCalendarResponse"},"example":{"values":{"ChineseNewYear":{"href":"https://myco.lusid.com/api/api/calendar/dates","dateIdentifier":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","localDate":"2020-01-25","timezone":"CET","description":"Chinese New Year","type":"Holiday","sourceData":{}}},"failed":{},"metadata":{}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}